Problem with installing rails plugin (restful_authentication)

I am trying to install restful_authentication plugin in my machine
which is running rails -v 2.3.5. I get the following error when i try
to install it

ruby script/plugin install http://github.com/technoweenie/restful-authentication.git
restful_authentication
Plugin not found: ["http://github.com/technoweenie/restful-
authentication.git", "restful_authentication"]

ruby script/plugin install git://github.com/technoweenie/restful-authentication.git
restful_authentication
Plugin not found: ["git://github.com/technoweenie/restful-
authentication.git", "restful_authentication"]

how am i supposed to install the plugin?